%define name sshd-monitor
%define version 0.2
%define release 1mdk

Summary: A simple monitor for sshd
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Monitoring
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: openssh-server telnet expect

%description
A very basic sshd monitor written in expect.

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/share/sshd-monitor
install -d $RPM_BUILD_ROOT/etc/cron.d
install expect-sshd $RPM_BUILD_ROOT/usr/share/sshd-monitor
install sshd-restarter $RPM_BUILD_ROOT/usr/share/sshd-monitor
install -m 644 cron.entry $RPM_BUILD_ROOT/etc/cron.d/sshd-monitor

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README.CVS
/usr/share/sshd-monitor
%config(noreplace) /etc/cron.d/*

%changelog
* Thu Feb 14 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.2-1mdk
- only restart sshd when the subsys lock file exists

* Tue Jul  3 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.1-1mdk
- first version

# end of file
